Subject: Re: [nvo3] Response to some comments on IS-IS VPLS

From: Robert Raszuk <[email-masked]>
Date: Fri, 30 Mar 2012 09:30:55 +0200

Joel,

> Open flow ?

Let me point out that OpenFlow is not an enemy of BGP.

OpenFlow requires a control plane to function. As a matter of fact I
have been working recently on design of OpenFlow based network (fully OF
as well as integrated with traditional/legacy) with services including
Internet, L2 and L3 VPNs. Use of commercial of the shelf BGP code has
proven to help and functions well. Integration with existing L3VPN is
very easy.

For NVO3 the issue of dislike of BGP is I think quite well understood.

Tenant isolation should start as close to the tenant VMs as possible
which normally places it at hypervisor. Talking openflow good news is
that most linux distributions will include OVS (open virtual switch)
very soon. Placing the boundary in the host would normally mean that
host need to understand BGP. That is quite a challenge and hardly needed
overhead.

We have proposals to talk xmpp to the host or openflow to the OVS there.
The most important is that I think that most of us agree that control
and data plane separation in any case is a good approach.

To summarize I don't see a reason to bound control plane innovation to
BGP. Also I would like to observe that choice of control plane protocol
does not automatically translates into the choice of data plane
technology to be used in given network.

Rgs,
R.

> Open flow ?
>
> "UTTARO, JAMES"<[email-masked]>  wrote:
>
>
> BTW... I am looking for a solution too.. This is a firsthand request
>
> -----Original Message----- From: UTTARO, JAMES Sent: Thursday, March
> 29, 2012 6:42 PM To: 'Shah, Himanshu'; [email-masked]; John E
> Drake Cc: [email-masked] Subject: RE: Response to some comments on
> IS-IS VPLS
>
> Ok. Can you expand on why that is? If not you, can anyone explain why
> L2VPN Family of services VPLS, EVPN etc..it is not being considered?
>
> Jim Uttaro
>
> BTW.. I did attend and thus my e-mails.. The first few slides said
> something to the effect " We don't like BGP". Ok, so can you or
> someone share why that is..
>
> -----Original Message----- From: Shah, Himanshu
> [mailto:[email-masked]] Sent: Thursday, March 29, 2012 6:39 PM To:
> UTTARO, JAMES; [email-masked]; John E Drake Cc: [email-masked]
> Subject: RE: Response to some comments on IS-IS VPLS
>
> Perhaps it would have benefited if you attended the NVO3 BoF where
> sentiments from Data Center Operators (first or secondhand) were
> expressed who clearly is looking for a solution. BGP based VPLS did
> not appear to be the winning choice.
>
> /himanshu
>
> -----Original Message----- From: UTTARO, JAMES
> [mailto:[email-masked]] Sent: Thursday, March 29, 2012 6:33 PM To:
> Shah, Himanshu; [email-masked]; John E Drake Cc: [email-masked]
> Subject: RE: Response to some comments on IS-IS VPLS
>
> Hmmm.. You still haven't said why the BGP solution does not meet your
> reqs. I believe BGP is fundamental in terms of a) Proven Technology,
> b) Well known Interface with customer VPNs etc.... I have no issue if
> this is a science project more power but I don't think you are making
> a good case with the statement "I Don't Like Protocol X" so I am
> creating a different paradigm.. If there are other reasons to
> consider this approach I would like to see/understand them..
>
> Jim Uttaro
>
> -----Original Message----- From: Shah, Himanshu
> [mailto:[email-masked]] Sent: Thursday, March 29, 2012 6:25 PM To:
> [email-masked]; John E Drake Cc: [email-masked]; UTTARO, JAMES
> Subject: RE: Response to some comments on IS-IS VPLS
>
> I agree completely.
>
> BGP based solution has its application but by no means that
> translates to "why everybody in the world would not want to use it"?
>
> Perhaps there is thinking that by strongly opposing/ridiculing any
> solution other than BGP will somehow stop those who desire a non-BGP
> based solution?
>
> /himanshu
>
> -----Original Message----- From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Robert Raszuk Sent:
> Thursday, March 29, 2012 5:34 PM To: John E Drake Cc: [email-masked];
> UTTARO, JAMES Subject: Re: Response to some comments on IS-IS VPLS
>
> Hi John,
>
> I think you took it a little bit too far.
>
> I have not heard anyone stating that current VPLS solutions suck. I
> also did not hear anyone claiming that BGP is difficult. The claim I
> have heard is that in some environments one may not like to use BGP
> for VPLS.
>
> Ali's point is that current PEs will have problem supporting it as
> this is effectively TRILL over IP is valid from Ali's point of view.
>
> However one could ask a question if IETF is still an organization to
> promote open innovation and consider new ideas (even if only in
> experimental mode) or is it just a forum to lock customers to
> limited set of solutions ? If it is the latter the trend to seek
> alternatives to IETF standardization process will continue to evolve.
> Especially now when control plane separation from data plane becomes
> reality.
>
> I see nothing wrong to allocate perhaps in experimental mode VPLS
> Info TLV codepoint for VPLS over ISIS or for that matter well known
> destination port for STT from IANA and let companies who are asking
> for it develop the solutions, deploy it then report back the results
> to the community.
>
> Best, R.
>
>
>> Jim,
>>
>> You are completely correct , but let's not overlook the fun
>> factor. I.e., it's **fun** to say that everything that has gone
>> before sucks and that the current initiative will be "practically
>> perfect" (c.f. 'Mary Poppins').
>>
>> Thanks,
>>
>> John
>>
>> Sent from my iPhone
>>
>> *From:[email-masked] [mailto:[email-masked]] *On
>> Behalf Of *UTTARO, JAMES *Sent:* Thursday, March 29, 2012 11:30 AM
>> *To:* 'Xuxiaohu'; [email-masked] *Subject:* RE: Response to some
>> comments on IS-IS VPLS
>>
>> IMHO... I am at a bit of a loss as to the notion that BGP is so
>> overwhelmingly difficult to deal with in a data center
>> environment.. Why is that?? BGP is being used across a wide
>> spectrum of applications and is proven. I believe that the data
>> center is becoming more and more a dynamic extension of a
>> customer's network. I also think it would be wise to anticipate the
>> world of tomorrow where customers may expect their network may span
>> multiple operators DCs. The right approach is to leverage what has
>> been done BGP and extend it where needed.. This provides maximum
>> flexibility and simplicity..
>>
>> To build solutions based on the notion that "I don't like protocol
>> X" is invalid..
>>
>> Jim Uttaro
>>
>> *From:[email-masked]<mailto:[email-masked]>
>> [mailto:[email-masked]] *On Behalf Of *Xuxiaohu *Sent:*
>> Thursday, March 29, 2012 2:59 PM *To:*
>> [email-masked]<mailto:[email-masked]> *Subject:* Response to some
>> comments on IS-IS VPLS
>>
>> Hi all,
>>
>> VPLS (Virtual Private LAN Service) has different understandings
>> for different people, some people think it as a service while
>> others think it as a concrete technology, especially using PWs.
>> Here, the "VPLS" is deemed as a VPLS service. If the WG consensus
>> is that "VPLS" should be taken as a concrete technology, I have no
>> objection to using another term.
>>
>> As said in the IS-IS VPLS draft, IS-IS VPLS is intended to be a
>> light-weight VPLS solution which can meet some DC operators'
>> requirements for simplicity. I don't want to argue in this
>> mailing-list whether BGP-based L2VPN solutions could meet well the
>> requirements from all DC operators. I personally believe that it
>> would be better to ask this question to NVo3. In addition,
>> according to today's presentation of E-VPN, I think E-VPN
>> co-authors also admit that the exiting EVPN solution seems complex
>> to some DC operators. If my understanding is wrong, pls correct
>> me.
>>
>> If I remembered correctly, L1VPN also has two RFCs using IS-IS and
>> OSPF for L1VPN auto-discovery, although there has been one solution
>> using BGP. Hence I don't know why can't we have a light-weight
>> L2VPN using IS-IS.
>>
>> Best regards,
>>
>> Xiaohu
>>
>
>
>